darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.ProgressPatches

Synopsis

- progressRL :: String -> RL a -> RL a
- progressFL :: String -> FL a -> FL a
- progressRLShowTags :: String -> RL (PatchInfoAnd p) -> RL (PatchInfoAnd p)

# Documentation

progressRL :: String -> RL a -> RL a

Evaluate an `RL` list and report progress.

progressFL :: String -> FL a -> FL a

Evaluate an `FL` list and report progress.

progressRLShowTags :: String -> RL (PatchInfoAnd p) -> RL (PatchInfoAnd p)

Evaluate an `RL` list and report progress. In addition to printing the number of patches we got, show the name of the last tag we got.